Name:		qastools
Version:	0.17.2
Release:	%mkrel 3
Summary:	A collection of desktop applications for ALSA
Url:		http://xwmw.org/qastools
Source0:	http://sourceforge.net/projects/qastools/files/0.17.2/%{name}_%{version}.tar.xz
Patch0:		%{name}-qasconfig-desktop-file.patch
Patch1:		%{name}-qashctl-desktop-file.patch
Patch2:		%{name}-qasmixer-desktop-file.patch
License:	GPLv3
Group:		Sound/Utilities
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	libalsa-devel
BuildRequires:	desktop-file-utils

Obsoletes:	qasmixer <= 0.15
Conflicts:	qasmixer

%description
%{summary}

Features:
   * Desktop ALSA mixer applications
   * Desktop ALSA configuration browser


%prep
%setup -q -n %{name}_%{version}
%patch0 -p1 -b .qasconfigdesk
%patch1 -p1 -b .qashctldesk
%patch2 -p1 -b .qasmixerdesk

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# make the .desktop file compliant with freedesktop specs
for i in qasconfig qashctl qasmixer;
do
desktop-file-validate %{buildroot}%{_datadir}/applications/$i.desktop
done

# it'll be %%doc'ed
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG COPYING README
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/widgets/sw_joined_*.svg
%{_datadir}/%{name}/l10n/%{name}_*.qm


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.17.2-3.mga3
+ Revision: 379784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.17.2-2.mga3
+ Revision: 335942
- changed group in line with new policy

* Sun Jun 03 2012 matteo <matteo> 0.17.2-1.mga3
+ Revision: 253767
- new version

* Tue Feb 07 2012 matteo <matteo> 0.17.1-1.mga2
+ Revision: 205668
- fixed warning about unversioned obsoletes
- imported package qastools

